# Uses of Interface
org.apache.sling.testing.mock.osgi.context.ContextPlugin

Packages that use ContextPlugin
Package
Description
org.apache.sling.testing.mock.osgi.context
OSGi context implementation for unit tests.

## Uses of ContextPlugin in org.apache.sling.testing.mock.osgi.context

Classes in org.apache.sling.testing.mock.osgi.context that implement ContextPlugin
Modifier and Type
Class
Description
`class`
`AbstractContextPlugin<T extends OsgiContextImpl>`
Default implementation of `ContextPlugin`.
Methods in org.apache.sling.testing.mock.osgi.context that return types with arguments of type ContextPlugin
Modifier and Type
Method
Description
`@NotNull Collection<ContextPlugin<? extends OsgiContextImpl>>`
ContextPlugins.`getPlugins()`
Methods in org.apache.sling.testing.mock.osgi.context with parameters of type ContextPlugin
Modifier and Type
Method
Description
`final void`
ContextPlugins.`addPlugin(@NotNull ContextPlugin<? extends OsgiContextImpl> @NotNull ... plugin)`
Add plugin